Bug 229924

Summary: Refactor Video,Audio,TextTrack and TrackLists to not depend on HTMLMediaElement
Product: WebKit Reporter: Jer Noble <jer.noble>
Component: MediaAssignee: Jer Noble <jer.noble>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, calvaris, cdumez, changseok, cmarcelo, eric.carlson, esprehn+autocc, ews-watchlist, glenn, gyuyoung.kim, jean-yves.avenard, kondapallykalyan, peng.liu6, philipj, rniwa, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=230318
Attachments:
Description Flags
Patch
none
Patch
ews-feeder: commit-queue-
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Jer Noble 2021-09-05 12:41:23 PDT
Refactor Video,Audio,TextTrack and TrackLists to not depend on HTMLMediaElement
Comment 1 Jer Noble 2021-09-05 17:46:40 PDT Comment hidden (obsolete)
Comment 2 Jer Noble 2021-09-07 14:47:15 PDT Comment hidden (obsolete)
Comment 3 Jer Noble 2021-09-07 15:01:28 PDT Comment hidden (obsolete)
Comment 4 Jer Noble 2021-09-07 15:57:52 PDT Comment hidden (obsolete)
Comment 5 Jer Noble 2021-09-07 20:20:21 PDT Comment hidden (obsolete)
Comment 6 Jer Noble 2021-09-08 09:26:27 PDT Comment hidden (obsolete)
Comment 7 Jer Noble 2021-09-08 11:22:53 PDT Comment hidden (obsolete)
Comment 8 Jer Noble 2021-09-08 11:30:55 PDT
Created attachment 437650 [details]
Patch
Comment 9 EWS 2021-09-09 09:49:59 PDT
Committed r282220 (241507@main): <https://commits.webkit.org/241507@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437650 [details].
Comment 10 Radar WebKit Bug Importer 2021-09-09 09:51:18 PDT
<rdar://problem/82929817>
Comment 11 Ryosuke Niwa 2021-09-10 15:38:35 PDT
Comment on attachment 437650 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=437650&action=review

> Source/WebCore/Modules/mediasource/SourceBuffer.cpp:638
> +        m_videoTracks = VideoTrackList::create(scriptExecutionContext());
> +        m_videoTracks->setOpaqueRootObserver(m_opaqueRootProvider);

Maybe we should cal this setOpaqueRootProvider? Or better yet, maybe the create function should take it as an argument.